@import url("../../fonts.googleapis.com/css2__q_family_Poppins_ital_wght_0_100_0_200_0_300_0_400_84a6ae9282.css");

:root {
  --primary: #2454b8;
  --primaryLight: #1e90ff;
  --secondary: #161a47;
  --secondaryGreen: rgb(125, 182, 19);
  --headerColor: #1a1a1a;
  --bodyTextColor: #4e4b66;
  --bodyTextColorWhite: #fafbfc;
  /* 13px - 16px */
  --topperFontSize: clamp(0.8125rem, 1.6vw, 1rem);
  /* 31px - 49px */
  --headerFontSize: clamp(1.9375rem, 3.9vw, 3.0625rem);
  --bodyFontSize: 1rem;
  /* 60px - 100px top and bottom */
  --sectionPadding: clamp(3.75rem, 7.82vw, 6.25rem) 1rem;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  font-family: Poppins, sans-serif;
}

a {
  color: inherit;
}

*,
*:before,
*:after {
  /* prevents padding from affecting height and width */
  box-sizing: border-box;
}
.cs-topper {
  font-size: var(--topperFontSize);
  line-height: 1.2em;
  text-transform: uppercase;
  text-align: inherit;
  letter-spacing: 0.1em;
  font-weight: 700;
  color: var(--primary);
  margin-bottom: 0.25rem;
  display: block;
}

.cs-title {
  font-size: var(--headerFontSize);
  font-weight: 900;
  line-height: 1.2em;
  text-align: inherit;
  max-width: 43.75rem;
  margin: 0 0 1rem 0;
  color: var(--headerColor);
  position: relative;
}

.cs-text {
  font-size: var(--bodyFontSize);
  line-height: 1.5em;
  text-align: inherit;
  width: 100%;
  max-width: 40.625rem;
  margin: 0;
  color: var(--bodyTextColor);
}

.cs-button-solid {
  font-size: 1rem;
  line-height: 3.5rem;
  text-decoration: none;
  font-weight: 700;
  overflow: hidden;
  margin: 0;
  color: #fff;
  padding: 0 3rem;
  border-radius: 0.5rem;
  background-color: var(--primary);
  display: inline-block;
  position: relative;
  z-index: 1;
  transition: color 0.3s;
}
.cs-button-solid:before {
  content: "";
  position: absolute;
  display: block;
  height: 100%;
  width: 0%;
  background: #fff;
  opacity: 1;
  top: 0;
  left: 0;
  z-index: -1;
  transition: width 0.3s;
}
.cs-button-solid:hover {
  color: var(--primary);
}
.cs-button-solid:hover:before {
  width: 100%;
}

@keyframes circle-motion-o {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.special-o {
  background: linear-gradient(
    to right,
    var(--secondary) 50%,
    var(--primary) 50%
  );
  -webkit-background-clip: text;
  color: transparent;
  display: inline-block; /* Ensure it's inline-block to allow rotation */

  animation: circle-motion-o 5s linear infinite; /* Continuous rotation */
}

@keyframes circle-motion-o-cta {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.special-cta {
  animation: circle-motion-o 10s linear infinite; /* Continuous rotation */
}

.cs-text-link {
  font-weight: bold;
  text-decoration: underline;
}
